### Hierarchy

- Flip

## Index

### Properties

- element
- flipBackEvents
- flipDuration
- flipEvents
- flipState
- flipTimingFunction
- isFlipped

### Methods

- componentDidLoad
- componentWillLoad
- componentWillUpdate
- flip
- render

## Properties

### element

element: HTMLElement

- Defined in flip/flip.tsx:9

### flipBackEvents

flipBackEvents: string

- Defined in flip/flip.tsx:12

### flipDuration

flipDuration: number

- Defined in flip/flip.tsx:13

### flipEvents

flipEvents: string

- Defined in flip/flip.tsx:11

### flipState

flipState: boolean

- Defined in flip/flip.tsx:17

### flipTimingFunction

flipTimingFunction: string

- Defined in flip/flip.tsx:14

### isFlipped

isFlipped: boolean

- Defined in flip/flip.tsx:15

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in flip/flip.tsx:29

  add options to the element (duration, timingfunction).

  #### Returns void

### componentWillLoad

- componentWillLoad(): void

- - Defined in flip/flip.tsx:22

  #### Returns void

### componentWillUpdate

- componentWillUpdate(): void

- - Defined in flip/flip.tsx:43

  handling the `is-flipped` attribute. usually this is used together with modern frameworks.

  #### Returns void

### flip

- flip(): Promise<void>

- - Defined in flip/flip.tsx:77

  #### Returns Promise<void>

### render

- render(): any

- - Defined in flip/flip.tsx:82

  #### Returns any